%global goipath gvisor.dev/gvisor
%global commit d561420079a13739c058f84992ff7a0c1b150343

Summary:        A container sandbox runtime focused on security, efficiency, and ease of use
Name:           gvisor
Version:        20250421.0
Release:        1%{?dist}
License:        ASL 2.0
URL:            https://github.com/google/gvisor
Source0:        %{url}/archive/%{commit}/%{name}-release-%{version}.tar.gz
# execute 'go mod vendor' under the source code path can generator vendor package
Source1:        %{name}-release-%{version}-vendor.tar.gz
BuildRequires:  golang >= 1.23 go-rpm-macros

%description
gVisor is an open-source, OCI-compatible sandbox runtime that provides
a virtualized container environment. It runs containers with a new
user-space kernel, delivering a low overhead container security
solution for high-density applications.

gVisor integrates with Docker, containerd and Kubernetes, making it
easier to improve the security isolation of your containers while
still using familiar tooling. Additionally, gVisor supports a variety
of underlying mechanisms for intercepting application calls, allowing
it to run in diverse host environments, including cloud-hosted virtual
machines.

%prep
%autosetup -p1 -a1 -n %{name}-%{commit}

%build
export GOPATH=$PWD/.gopath
mkdir -p ${GOPATH}/src/gvisor.dev
ln -sfn $PWD $GOPATH/src/%{goipath}
export GOFLAGS="-mod=vendor"
%gobuild -o bin/runsc %{goipath}/runsc

%install
install -Dpm 0755  bin/runsc %{buildroot}%{_bindir}/runsc

%files
%license LICENSE
%doc README.md AUTHORS
%{_bindir}/runsc

%changelog
* Mon Apr 28 2025 jackeyji <jackeyji@tencent.com> - 20250421.0-1
- [Type] security
- [DESC] upgrade to 20250421.0 to fix CVE-2024-100261 and CVE-2024-10603

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20230904.0-2
- Rebuilt for loongarch release

* Thu Sep 14 2023 jackeyji <jackeyji@tencent.com> - 20230904.0-1
- initial build
